Bug 8283 - k3b-2.0.3 failed when try to record any disk
: k3b-2.0.3 failed when try to record any disk
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 8383
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-25 22:15 MSD by Eugene Budanov
Modified: 2017-10-24 13:12 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
mkisofs log (4.95 KB, text/x-log)
2017-08-25 22:15 MSD, Eugene Budanov
Details
Full log (32.45 KB, application/octet-stream)
2017-10-10 23:14 MSD, Eugene Budanov
Details
Failed record after changing wodim permissions (7.08 KB, text/plain)
2017-10-11 23:59 MSD, Eugene Budanov
Details
Failed after chmof of /usr/bin/wodim (32.02 KB, text/plain)
2017-10-12 23:55 MSD, Eugene Budanov
Details
ss (92.70 KB, image/png)
2017-10-18 18:48 MSD, Vladimir Potapov
Details
k3b permissions (67.36 KB, image/png)
2017-10-18 20:31 MSD, Andrey Bondrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Budanov 2017-08-25 22:15:21 MSD
Created attachment 4714 [details]
mkisofs log

ROSA Fresh R9 with KDE 5. When I tried to record any disk by k3b, it's failed with different errors. 

f.ex. log is attached. But on same drive, same disk, same permissions, same laptop, but on ROSA R8.1 with KDE4 no problems at all. Log is attached.
Comment 1 Eugene Budanov 2017-08-26 04:42:21 MSD
dmesg messages when trying to write DVD-RW:

[   68.801566] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[   68.801575] ata2.00: cmd a0/00:00:00:3c:00/00:00:00:00:00/a0 tag 22 pio 60 out
                        Mode Select(10) 55 10 00 00 00 00 00 00 3c 00res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[   68.801577] ata2.00: status: { DRDY }
[   68.801580] ata2: hard resetting link
[   69.108532] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[   69.111383] ata2.00: configured for UDMA/100
[   69.112937] ata2: EH complete
[   84.606374] capability: warning: `growisofs' uses 32-bit capabilities (legacy support in use)
[  472.609810] EXT4-fs (sdc1): mounted filesystem with ordered data mode. Opts: (null)
[  609.879274] UDF-fs: INFO Mounting volume 'UDF Volume', timestamp 2015/07/10 16:47 (1000)
Comment 2 Eugene Budanov 2017-10-10 23:14:28 MSD
Changed owner to root:cdrom to /usr/bin/growisofs. Same problem. Fill log is attached.
Comment 3 Eugene Budanov 2017-10-10 23:14:51 MSD
Created attachment 4735 [details]
Full log
Comment 4 Andrey Bondrov 2017-10-11 04:30:37 MSD
(In reply to comment #2)
> Changed owner to root:cdrom to /usr/bin/growisofs. Same problem. Fill log is
> attached.

Looks like it's not really the same. Please try to change owner to root:cdrom to /usr/bin/wodim now.
Comment 5 Eugene Budanov 2017-10-11 23:59:07 MSD
Unfortunately not. Record is failed after changing permission.

Log i'll be attached too.
Comment 6 Eugene Budanov 2017-10-11 23:59:37 MSD
Created attachment 4736 [details]
Failed record after changing wodim permissions
Comment 7 Andrey Bondrov 2017-10-12 03:50:03 MSD
(In reply to comment #5)
> Unfortunately not. Record is failed after changing permission.
> 
> Log i'll be attached too.

One last guess (recommended by k3b developers):

chmod 4710 /usr/bin/wodim
Comment 8 Eugene Budanov 2017-10-12 23:55:25 MSD
Unfortunately failed after chmod of /usr/bin/wodim. Log is attached.
Comment 9 Eugene Budanov 2017-10-12 23:55:49 MSD
Created attachment 4737 [details]
Failed after chmof of /usr/bin/wodim
Comment 10 Andrey Bondrov 2017-10-13 05:23:38 MSD
(In reply to comment #9)
> Created attachment 4737 [details]
> Unfortunately failed after chmod of /usr/bin/wodim. Log is attached.
> Failed after chmof of /usr/bin/wodim

Now it looks like a drive or disc error... I don't see anything left to fix there, it just fails.

Meanwhile let's pass some packages to QA:

1. Advisory: "Change owner to root:cdrom for growisofs"

dvd+rw-tools:
https://abf.rosalinux.ru/build_lists/2900202
https://abf.rosalinux.ru/build_lists/2900203

2. Advisory: "Add some bugfix patches from Fedora. Change mode to 4710 and ownder to root:cdrom for wodim.

cdrkit:
https://abf.rosalinux.ru/build_lists/2900200
https://abf.rosalinux.ru/build_lists/2900201
Comment 11 Eugene Budanov 2017-10-13 13:37:56 MSD
On R8 working fine. No problem at all.
Comment 12 Vladimir Potapov 2017-10-13 16:34:26 MSD
(In reply to comment #11)
> On R8 working fine. No problem at all.
R8 kernel?
Comment 13 Vladimir Potapov 2017-10-18 11:06:29 MSD
До обновления:
Не удалось найти программу cdrskin
K3b uses cdrskin in place of cdrecord.
Решение: Install the libburn package which contains cdrskin
Comment 14 Vladimir Potapov 2017-10-18 11:08:39 MSD
После обновления
Insufficient permissions for cdrecord executable: /usr/bin/wodim
K3b использует cdrecord для записи CD.
Решение: Check permissions via Settings -> Configure K3b... -> Programs -> Permissions. If K3b's default value is set make sure you are member of "cdrom" group.
Не удалось найти программу cdrskin
K3b uses cdrskin in place of cdrecord.
Решение: Install the libburn package which contains cdrskin
Comment 15 Vladimir Potapov 2017-10-18 11:09:01 MSD
*********************
QA Denied
Comment 16 Andrey Bondrov 2017-10-18 11:19:18 MSD
(In reply to comment #14)
> После обновления
> Insufficient permissions for cdrecord executable: /usr/bin/wodim

Как раз в обновлённом cdrkit (comment 10) и должны ставиться такие права на wodim, как хочет k3b. Посмотри, что ему тогда не нравится в Параметры -> Программы -> Права доступа.
Comment 17 Andrey Bondrov 2017-10-18 11:37:03 MSD
(In reply to comment #13)
> До обновления:
> Не удалось найти программу cdrskin
> K3b uses cdrskin in place of cdrecord.
> Решение: Install the libburn package which contains cdrskin

Advisory: "Require cdrskin instead of cdrecord"

k3b:
https://abf.rosalinux.ru/build_lists/2900543
https://abf.rosalinux.ru/build_lists/2900544
Comment 18 Vladimir Potapov 2017-10-18 18:48:46 MSD
Created attachment 4739 [details]
ss
Comment 19 Andrey Bondrov 2017-10-18 20:31:28 MSD
Created attachment 4740 [details]
k3b permissions

k3b doesn't know what it wants...
Comment 20 Andrey Bondrov 2017-10-19 07:49:50 MSD
Advisory: "Build new package cdrtools to replace cdrkit in repositories"

https://abf.rosalinux.ru/build_lists/2900625
https://abf.rosalinux.ru/build_lists/2900626

Надо проверить, как с ним будет работать k3b. В ряде дистрибутивов им уже заменили прекративший развитие и хуже работающий cdrkit.
Comment 21 Vladimir Potapov 2017-10-19 14:04:56 MSD
The update (k3b and cdrtools) sent to expanded testing
*********************************************************
Comment 22 Vladimir Potapov 2017-10-24 12:41:04 MSD
k3b-17.04.3-5
https://abf.rosalinux.ru/build_lists/2900543
https://abf.rosalinux.ru/build_lists/2900544

cdrtools-3.02
https://abf.rosalinux.ru/build_lists/2900625
https://abf.rosalinux.ru/build_lists/2900626

****************************** Advisory ********************************
Require cdrskin instead of cdrecord
Build new package cdrtools to replace cdrkit in repositories
************************************************************************
QA Verified